cppcheck reported:

[lib/unwarminder/unwarm_thumb.c:399] -> [lib/unwarminder/unwarm_thumb.c:399]: (style) Same expression on both sides of '&&'.

Fix it by using the proper register.

diff -u -r -p upstream/unwarm_thumb.c upstream.fixed/unwarm_thumb.c
--- upstream/unwarm_thumb.c	2007-07-13 17:35:58.000000000 +0200
+++ upstream.fixed/unwarm_thumb.c	2012-02-29 19:04:04.759301275 +0100
@@ -396,7 +396,7 @@ UnwResult UnwStartThumb(UnwState * const
                 case 12: /* ORR */
                 case 13: /* MUL */
                 case 14: /* BIC */
-                    if(M_IsOriginValid(state->regData[rs].o) && M_IsOriginValid(state->regData[rs].o))
+                    if(M_IsOriginValid(state->regData[rd].o) && M_IsOriginValid(state->regData[rs].o))
                     {
                         state->regData[rd].o = state->regData[rs].o;
                         state->regData[rd].o |= REG_VAL_ARITHMETIC;
